Subject: Re: Error: an inet prefix is expected rather than "0/0".

From: Stephen Hemminger <[email-masked]>
Date: Mon, 27 Oct 2008 10:39:50 -0700

On Wed, 15 Oct 2008 20:52:47 +0200
Krzysztof Halasa <[email-masked]> wrote:

> Ben Hutchings <[email-masked]> writes:
> 
> > It's a Berkeley extension which spread via BSD and its inet_aton()
> > function.  I don't believe it's specified in any RFC.
> 
> You may be right, I won't start searching now :-)
> Anyway it was like that for years and I guess we shouldn't change it
> (except perhaps for removing).
> 
> > No, a single number is treated by inet_aton() as a 32-bit address, so 10
> > is equivalent to 0.0.0.10.
> 
> Hmm, I remember some routes being used without a dot, as a single
> number, but OTOH you're right, it was also possible to ping
> 12345678. Perhaps 10 -> 10.0 was specific to something rather than
> used generally, I don't know.

I ended up putting in a version similar to the original code but with
more error checking so it would not accept 259.1 etc.